Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.Proxy_Nillable Class Reference

This class represents the ComplexType Proxy_Nillable More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase, and INillable.

## Public Member Functions
| Proxy_Nillable ()
| Constructor for Proxy_Nillable More...
| Proxy_Nillable (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
Boolean | m_Enabled
String | m_Address
UInt32 | m_Port
Boolean | m_UseAuth
Boolean | m_IsValidUser
String | m_User
Boolean | m_IsValidPassword
String | m_Password
Boolean | m_isNil

## Properties
override String | TargetNamespace`[get]`
Boolean | Enabled`[get, set]`
| Represents a mandatory Attribute in the XML document More...
String | Address`[get, set]`
| Represents a mandatory Attribute in the XML document More...
UInt32 | Port`[get, set]`
| Represents a mandatory Attribute in the XML document More...
Boolean | UseAuth`[get, set]`
| Represents a mandatory Attribute in the XML document More...
String | User`[get, set]`
| Represents an optional Attribute in the XML document More...
Boolean | IsValidUser`[get, set]`
| Indicates if User contains a valid value. More...
String | Password`[get, set]`
| Represents an optional Attribute in the XML document More...
Boolean | IsValidPassword`[get, set]`
| Indicates if Password contains a valid value. More...
Boolean | IsNil`[get, set]`
| Indicates if this element is set to nil as it is marked as Nillable in the schema. More...
override String | Namespace`[get]`

## Detailed Description

This class represents the ComplexType Proxy_Nillable

## Constructor & Destructor Documentation

## ◆ Proxy_Nillable()

Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Proxy_Nillable | ( |  | ) |
| inline

Constructor for Proxy_Nillable

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ Address

String Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Address
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to "".

## ◆ Enabled

Boolean Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Enabled
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to false.

## ◆ IsNil

Boolean Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.IsNil
| get set

Indicates if this element is set to nil as it is marked as Nillable in the schema.

true if the value is nil, false if not.
If this is set to true then the element will output the nil attribute and have no content.

## ◆ IsValidPassword

Boolean Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.IsValidPassword
| get set

Indicates if Password contains a valid value.

true if the value for Password is valid, false if not.
If this is set to true then the property is considered valid, and assigned its default value ("").
If its set to false then its made invalid, and susiquent calls to get Password will raise an exception.

## ◆ IsValidUser

Boolean Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.IsValidUser
| get set

Indicates if User contains a valid value.

true if the value for User is valid, false if not.
If this is set to true then the property is considered valid, and assigned its default value ("").
If its set to false then its made invalid, and susiquent calls to get User will raise an exception.

## ◆ Password

String Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Password
| get set

Represents an optional Attribute in the XML document

This property is represented as an Attribute in the XML.
It is optional, initially it is not valid.

## ◆ Port

UInt32 Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.Port
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to 0.

## ◆ UseAuth

Boolean Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.UseAuth
| get set

Represents a mandatory Attribute in the XML document

This property is represented as an Attribute in the XML.
It is mandatory and therefore must be populated within the XML.
It is defaulted to false.

## ◆ User

String Gevasys.DataCore.Configuration.Generated.Proxy_Nillable.User
| get set

Represents an optional Attribute in the XML document

This property is represented as an Attribute in the XML.
It is optional, initially it is not valid.

The documentation for this class was generated from the following file:

- Proxy_Nillable.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1